## libreoffice 24.2.0

=== odk/examples/DevelopersGuide/FirstSteps/HelloTextTableShape/java/Makefile ===
#*************************************************************************
#
#  The Contents of this file are made available subject to the terms of
#  the BSD license.
#  
#  Copyright 2000, 2010 Oracle and/or its affiliates.
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of Sun Microsystems, Inc. nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
#  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
#  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
#  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
#  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
#  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
#  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#     
#**************************************************************************

# Builds the FirstSteps examples of the Developers Guide.

PRJ=../../../../..
SETTINGS=$(PRJ)/settings

include $(SETTINGS)/settings.mk
include $(SETTINGS)/std.mk

# Define non-platform/compiler specific settings
EXAMPLE_NAME=HelloTextTableShape
OUT_APP_CLASS = $(OUT_CLASS)/$(EXAMPLE_NAME)

APP_NAME=HelloTextTableShape
APP_JAR=$(OUT_APP_CLASS)/$(APP_NAME).jar

SDK_CLASSPATH = $(subst $(EMPTYSTRING) $(PATH_SEPARATOR),$(PATH_SEPARATOR),$(CLASSPATH)\
		$(PATH_SEPARATOR)$(OUT_APP_CLASS))


# Targets
.PHONY: ALL
ALL : \
	$(EXAMPLE_NAME)

include $(SETTINGS)/stdtarget.mk

$(OUT_APP_CLASS)/%.class : %.java
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(SDK_JAVAC) $(JAVAC_FLAGS) -classpath "$(SDK_CLASSPATH)" -d $(OUT_APP_CLASS) $<

$(OUT_APP_CLASS)/%.mf :
	-$(MKDIR) $(subst /,$(PS),$(@D))
	@echo Main-Class: com.sun.star.lib.loader.Loader> $@
	$(ECHOLINE)>> $@
	@echo Name: com/sun/star/lib/loader/Loader.class>> $@
	@echo Application-Class: $*>> $@

$(OUT_APP_CLASS)/%.jar : $(OUT_APP_CLASS)/%.mf $(OUT_APP_CLASS)/%.class
	-$(DEL) $(subst \\,\,$(subst /,$(PS),$@))
	-$(MKDIR) $(subst /,$(PS),$(@D))
	+cd $(subst /,$(PS),$(OUT_APP_CLASS)) && $(SDK_JAR) cvfm $(@F) $*.mf $*.class
	+$(SDK_JAR) uvf $@ $(SDK_JAVA_UNO_BOOTSTRAP_FILES)

$(APP_JAR) : $(OUT_APP_CLASS)/$(APP_NAME).mf $(OUT_APP_CLASS)/$(APP_NAME).class

$(EXAMPLE_NAME) : $(APP_JAR)
	@echo --------------------------------------------------------------------------------
	@echo Please use the following command to execute the example!
	@echo -
	@echo $(MAKE) $(APP_NAME).run
	@echo --------------------------------------------------------------------------------

%.run: $(OUT_APP_CLASS)/%.jar
	$(SDK_JAVA) -Dcom.sun.star.lib.loader.unopath="$(OFFICE_PROGRAM_PATH)" -jar $<

.PHONY: clean
clean :
	-$(DELRECURSIVE) $(subst /,$(PS),$(OUT_APP_CLASS))

=== debian/changelog ===
libreoffice (4:24.2.0-1deepin2) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 05 Jul 2024 10:50:10 +0800

libreoffice (4:24.2.0-1deepin1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * debian/patches/icu-74.1.diff:
    - Allow build with ICU 74.1

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 26 Mar 2024 14:36:43 +0800

libreoffice (4:24.2.0-1) unstable; urgency=medium

  * LibreOffice 24.2.0 final release

  * debian/patches/fix-riscv64-bridge.diff: as name says; more riscv64 bridge
    fixes from https://gerrit.libreoffice.org/c/core/+/160970

  * debian/control.lokit.in: add ${gir:Depends} and ${gir:Provides} to
    libreofficekit-dev 
  * debian/rules:
    - re-enable Java on riscv64 
    - build with --disable-split-debug on riscv64
    - stop running debian/rules control in the clean target; forbidden

 -- Rene Engelhard <rene@debian.org>  Sat, 27 Jan 2024 13:25:02 +0000

libreoffice (4:24.2.0~rc2-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 13 Jan 2024 20:26:16 +0100

=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: autoconf,
               automake,
               bc,
               binutils (>= 2.37-9) [ppc64],
               bison,
               bzip2,
               clang [!alpha !hppa !ia64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390x !sparc !sparc64],
               coinor-libcoinmp-dev,
               coinor-libcoinutils-dev,
               debhelper-compat (= 12),
               default-jdk (>= 2:1.17) [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !powerpcspe !s390 !sparc] <!nojava>,
               dh-python <!nopython>,
               firebird-dev,
               flex,
               fontforge-nox | fontforge,
               g++ (>= 4:12),
               g++-12 [i386],
               gcc (>= 4:12),
               gcc-12 [i386],
               gobject-introspection <!nogir>,
               gperf,
               java-common (>= 0.75) <!nojava>,
               javahelper <!nojava>,
               junit4 [amd64 arm64] <!nocheck !nojava>,
               libabsl-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libargon2-dev,
               libatk1.0-dev,
               libavahi-client-dev,
               libbase-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libbox2d-dev,
               libbsh-java <!nojava>,
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev,
               libcmis-dev (<< 0.7~),
               libcmis-dev (>= 0.6.1~),
               libcups2-dev,
               libcurl4-openssl-dev,
               libdbus-1-dev,
               libdconf-dev (>= 0.40),
               libdragonbox-dev,
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libebook1.2-dev,
               libeot-dev,
               libepoxy-dev,
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libexpat1-dev,
               libexttextcat-dev,
               libfixmath-dev,
               libflute-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libfontconfig-dev,
               libfonts-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libformula-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype-dev,
               libfrozen-dev,
               libgirepository1.0-dev <!nogir>,
               libgl-dev,
               libglib2.0-dev,
               libglm-dev,
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libgraphite2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libgtk-4-dev,
               libharfbuzz-dev (>= 5.1.0),
               libhsqldb1.8.0-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libhunspell-dev,
               libhyphen-dev,
               libice-dev,
               libicu-dev,
               libjpeg-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5windowsystem-dev,
               liblangtag-dev,
               liblayout-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               liblcms2-dev,
               libldap-dev,
               libloader-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               liblockfile-bin,
               liblpsolve55-dev,
               libmariadb-dev,
               libmdds-dev (<< 2.2~),
               libmdds-dev (>= 2.1),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmwaw-dev (<< 0.4~),
               libmwaw-dev (>= 0.3.21),
               libmythes-dev,
               libnspr4-dev,
               libnss3-dev,
               libnumbertext-dev,
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               libopenjp2-7-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
               liborcus-dev (<< 0.20~),
               liborcus-dev (>= 0.19.1),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpentaho-reporting-flow-engine-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               libpq-dev,
               libqt5x11extras5-dev,
               libqxp-dev,
               libqxp-dev (<< 0.1~),
               librdf0-dev,
               librepository-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsac-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libsane-dev,
               libserializer-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libsm-dev,
               libstaroffice-dev,
               libstaroffice-dev (<< 0.1~),
               libsuitesparse-dev,
               libtiff-dev,
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwebp-dev,
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libwps-dev (<< 0.5~),
               libwps-dev (>= 0.4),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxcb1-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml-java [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               libxml2-dev,
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.35),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libzmf-dev,
               libzmf-dev (<< 0.1~),
               libzxcvbn-dev,
               libzxing-dev,
               llvm [!alpha !hppa !ia64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390x !sparc !sparc64],
               lp-solve,
               maven-repo-helper [!armhf !hppa !kfreebsd-amd64 !kfreebsd-i386 !mips64 !powerpcspe !ppc64el !s390x !sparc] <!nojava>,
               pkg-config,
               python3,
               python3-dev <!nopython>,
               python3-distutils <!nopython>,
               qmake6,
               qt5-qmake,
               qt6-base-dev,
               qt6-base-dev-tools,
               qtbase5-dev,
               qtbase5-dev-tools,
               unixodbc-dev,
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: at-spi2-core [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    dbus-x11 [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    firebird3.0-server-core <!nocheck>,
                    fontconfig [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-crosextra-caladea [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-crosextra-carlito (>= 20230309) [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-dejavu [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-hosny-amiri [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-liberation (>= 1:2) [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-linuxlibertine [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-noto-core [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    gdb [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    ghostscript [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    gpg [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    gpg-agent [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    gpgconf [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    hunspell-en-us [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    hyphen-en-us [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    imagemagick [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    libatspi2.0-dev [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !riscv64 !s390x !sparc !sparc64] <!nocheck>,
                    libcppunit-dev (>= 1.15.1-4) [amd64 arm64] <!nocheck>,
                    libcppunit-dev <!nocheck>,
                    libnumbertext-data (>= 1.0.11) <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2023 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
OOVER:=24.2
HELP_L10N_VIRTUAL_VERSION:=$(OOVER)
ifeq "$(shell echo $(OOVER) | cut -d. -f2)" "2"
# 24.2 + .6 -> 24.8 -> OK
NEXT_OOVER=$(shell echo "$(OOVER) + .6" | bc)
else
# 24.8 + .6 = 25.4 -> wrong (doesn't take into account that the year
# has 12 months)so subtract 2 (so effectively + .4) to get back to February (25.2),
# which is supposed to be the schedule.
NEXT_OOVER=$(shell echo "$(OOVER) + .4" | bc)
endif

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -a)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

ifneq (,$(shell pwd | grep autopkgtest))
AUTOPKGTEST_BUILD=y
$(warning Build for autopkgtest)
endif
AUTOPKGTEST_CPPUNIT_PACKAGES := $(shell dh_listpackages | grep -v help | grep -v l10n | grep -v dev-doc | grep -v "nogui$$")

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(..\..\)\../\1/p' | cut -d" " -f1 | cut -d. -f1)
SYSTEM_CLANG_VERSION = $(shell clang -v 2>&1 | head -n1 | awk '{ print $$4 }' | cut -d. -f1)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
ifneq "$(DEB_VENDOR)" "Debian"
OOO_VENDOR:=The Document Foundation, $(DEB_PARENT_VENDOR) and $(DEB_VENDOR)
else
OOO_VENDOR=The Document Foundation/$(DEB_VENDOR)
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=y
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-24-2-0
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

#########
# Default package configuration
#
# FIXME: Should riscv64 be here at all given it doesn't support NaN payload propagation which LO (at least Calc) needs?
# see https://bugs.documentfoundation.org/show_bug.cgi?id=152943 and https://lists.debian.org/debian-riscv/2024/01/msg00018.html
OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
DEBIAN_MAIN_ARCHITECTURES = amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64 s390x
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    flex, \
    fontforge-nox | fontforge, \
    gperf,\
    libfreetype-dev,\
    libfontconfig-dev,\
    pkg-config,\
    unzip,\
    xsltproc,\
    zip,\
    zlib1g-dev\

BUILD_DEPS_INDEP += rdfind, symlinks

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_GUI=y

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  CONFIGURE_FLAGS += --enable-python=system
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
  export PYTHON
else
  # somehow configure insists on using python3 "for pyuno". The only way to
  # override this (afaics) is this...
  PYTHON=python$(PYTHON_VERSION)
  PYTHON_CFLAGS=$(shell pkg-config --cflags python-$(PYTHON_VERSION))
  PYTHON_LIBS=$(shell pkg-config --libs python-$(PYTHON_VERSION))
  export PYTHON PYTHON_VERSION PYTHON_CFLAGS PYTHON_LIBS
endif
endif
BUILD_ONLY_EN_US=n
ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
  include /usr/share/java/java_defaults.mk
  ifneq "$(BOOKWORM_BACKPORT)" "y"
    ifneq ($(DEB_HOST_ARCH),$(filter-out $(DEB_HOST_ARCH),$(java_unsupported_architectures)))
      ENABLE_JAVA=y
    endif
   else
      ENABLE_JAVA=y
   endif
  ifeq "$(ENABLE_JAVA)" "y"
    JDK=default
    ifneq "$(JDK)" "default"
      JAVA_MAINVER=17
    endif
  endif
else
  ENABLE_JAVA=n
endif
#JAVAHELPER_MIN_VERSION=
SYSTEM_STUFF += hunspell
SYSTEM_STUFF += altlinuxhyph
SYSTEM_STUFF += boost
BOOST_VERSION=default
# libmdds-dev depends on libboost-dev, which will be removed
# when you install a non-default libboostX.Y-dev
ifeq "$(BOOST_VERSION)" "default"
SYSTEM_STUFF += mdds
endif
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libepubgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
SYSTEM_STUFF += libpagemaker
SYSTEM_STUFF += libzmf
SYSTEM_STUFF += libstaroffice
SYSTEM_STUFF += libqxp
ENABLE_ZXING=y
SYSTEM_STUFF += zxing
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
ifeq "$(ENABLE_GUI)" "y"
BUILD_PLASMA=y
# let's assume we won't ship two plasmas parallel..
KF_VERSION=5
PLASMA_VERSION=$(KF_VERSION)
ENABLE_QT5=n
#QT5_MINVER=
endif
ifeq "$(BUILD_PLASMA)" "y"
   ifeq "$(PLASMA_VERSION)" "5"
     ENABLE_KF5=y
     # KF5 depends on Qt5
     ifeq "$(ENABLE_KF5)" "y"
       ENABLE_QT5=y
       KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
     endif
  else
	ENABLE_KF6=y
	# KF6 depends on Qt6
     ifeq "$(ENABLE_KF6)" "y"
       ENABLE_QT6=y
       KF6_QT6_DEPENDS := libreoffice-qt6 (= $${binary:Version})
     endif
  endif
endif
ENABLE_QT6=y
# https://www.debian.org/doc/debian-policy/ says this is not defined and must
# be ignored, but dh_strip mentions (and honours) it, so...
ifneq (noautodbgsym,$(findstring noautodbgsym,$(DEB_BUILD_OPTIONS)))
BUILD_DBGSYM_PACKAGES=y
ifeq "$(DEB_HOST_ARCH)" "amd64"
USE_DWZ=y
DWZ_ARGS:=-L 100000000
endif
endif
SYSTEM_STUFF += xmlsec
USE_SYSTEMD=n
SYSTEM_STUFF += zxcvbn

ifeq ($(filter noinsttest,$(DEB_BUILD_PROFILES)),)
 # this changes the packages built/contents of packages (-subsequentcheckbase)
